package de.roko.genalogy.downloader.util;

import de.roko.genalogy.downloader.archion.ArchionLoginHelper;
import de.roko.genalogy.downloader.tools.BookTileDownloaderLite;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

class BookTileDownloaderLiteTest {
    public static WebDriver driver;

    @BeforeAll
    static void setup() {
        String username = "robatkoch";
        String password = "PaLiNa2016$$";
        driver = new ChromeDriver();

        ArchionLoginHelper archionLoginHelper = new ArchionLoginHelper(driver);

        archionLoginHelper.login(username, password);
    }
    @Test
    void downloadVisibleTiles() {

        BookTileDownloaderLite downloader = new BookTileDownloaderLite(driver);

        String url = "https://www.archion.de/de/viewer/churchRegister/287339?cHash=ca3bf31106a5081448b44947b5d5bd95";
        String kachelOrdner = System.getProperty("user.home") + "/Dokumente/archion/seite-001";
        String zielPfad = System.getProperty("user.home") + "/Dokumente/archion";


    }
}